<form class="{{cssClass}} flexcol" autocomplete="off">

    {{!-- Item Sheet Header --}}
    <header class="sheet-header flexrow">
        <img class="profile" src="{{item.img}}" title="{{item.name}}" data-edit="img"/>

        <div class="header-details flexrow">
            <h1 class="charname">
                <input name="name" type="text" value="{{item.name}}" placeholder="{{ localize 'SW5E.ItemName' }}"/>
            </h1>

            <div class="item-subtitle">
                <h4 class="item-type">{{itemType}}</h4>
                <span class="item-status">{{itemStatus}}</span>
            </div>

            <ul class="summary">
                <li>
                    {{lookup config.weaponTypes data.weaponType }}
                </li>
                <li>
                    <input type="text" name="data.rarity" value="{{data.rarity}}" placeholder="{{ localize 'SW5E.Rarity' }}"/>
                </li>
                <li>
                    <input type="text" name="data.source" value="{{data.source}}" placeholder="{{ localize 'SW5E.Source' }}"/>
                </li>
            </ul>
        </div>
    </header>

    {{!-- Item Sheet Navigation --}}
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="description">{{ localize "SW5E.Description" }}</a>
        <a class="item" data-tab="details">{{ localize "SW5E.Details" }}</a>
    </nav>

    {{!-- Item Sheet Body --}}
    <section class="sheet-body">

        {{!-- Description Tab --}}
        {{> "systems/sw5e/templates/items/parts/item-description.html"}}

        {{!-- Details Tab --}}
        <div class="tab details" data-group="primary" data-tab="details">
            <h3 class="form-header">{{ localize "SW5E.ItemWeaponDetails" }}</h3>

            {{!-- Weapon Type --}}
            <div class="form-group">
                <label>{{ localize "SW5E.ItemWeaponType" }}</label>
                <select name="data.weaponType">
                    {{#select data.weaponType}}
                    {{#each config.weaponTypes as |name type|}}
                    <option value="{{type}}">{{name}}</option>
                    {{/each}}
                    {{/select}}
                </select>
            </div>

            {{!-- Weapon Status --}}
            <div class="form-group stacked">
                <label>{{ localize "SW5E.ItemWeaponStatus" }}</label>
                <label class="checkbox">
                    <input type="checkbox" name="data.proficient" {{checked data.proficient}}/> {{ localize "SW5E.Proficient" }}
                </label>
                <label class="checkbox">
                    <input type="checkbox" name="data.equipped" {{checked data.equipped}}/> {{ localize "SW5E.Equipped" }}
                </label>
                <label class="checkbox">
                    <input type="checkbox" name="data.identified" {{checked data.identified}}/> {{ localize "SW5E.Identified" }}
                </label>
                <label class="checkbox">
                    <input type="checkbox" name="data.attuned" {{checked data.attuned}}/> {{ localize "SW5E.Attuned" }}
                </label>
            </div>

            {{!-- Weapon Properties --}}
            <div class="form-group stacked weapon-properties">
                <label>{{ localize "SW5E.ItemWeaponProperties" }}</label>
                {{#each config.weaponProperties as |name prop|}}
                <label class="checkbox">
                    <input type="checkbox" name="data.properties.{{prop}}" {{checked (lookup ../data.properties prop)}}/> {{ name }}
                </label>
                {{/each}}
            </div>

            <h3 class="form-header">{{ localize "SW5E.ItemWeaponUsage" }}</h3>

            {{!-- Item Activation Template --}}
            {{> "systems/sw5e/templates/items/parts/item-activation.html"}}

            <h3 class="form-header">{{ localize "SW5E.ItemWeaponAttack" }}</h3>

            {{!-- Item Action Template --}}
            {{> "systems/sw5e/templates/items/parts/item-action.html"}}
        </div>
    </section>
</form>
